0.9.9 API documenation

- Main Page
- Modules
- Files

- File List

Functions
gtc/color_space.hpp File Reference

GLM_GTC_color_space More...

Go to the source code of this file.

## Functions
template<length_t L, typename T , qualifier P>
GLM_FUNC_DECL vec< L, T, P > | convertLinearToSRGB (vec< L, T, P > const &ColorLinear)
| Convert a linear color to sRGB color using a standard gamma correction. More...
template<length_t L, typename T , qualifier P>
GLM_FUNC_DECL vec< L, T, P > | convertLinearToSRGB (vec< L, T, P > const &ColorLinear, T Gamma)
| Convert a linear color to sRGB color using a custom gamma correction. More...
template<length_t L, typename T , qualifier P>
GLM_FUNC_DECL vec< L, T, P > | convertSRGBToLinear (vec< L, T, P > const &ColorSRGB)
| Convert a sRGB color to linear color using a standard gamma correction. More...
template<length_t L, typename T , qualifier P>
GLM_FUNC_DECL vec< L, T, P > | convertSRGBToLinear (vec< L, T, P > const &ColorSRGB, T Gamma)
| Convert a sRGB color to linear color using a custom gamma correction.

## Detailed Description

GLM_GTC_color_space

See also
  GLM Core (dependence)
  GLM_GTC_color_space (dependence)

Definition in file gtc/color_space.hpp.